
D4Science Infrastructure - VM Creation #9354

VM Creation for AquacultureAtlasGeneration dedicated GeoNetwork

Jul 21, 2017 06:19 PM - Fabio Sinibaldi

Status: Closed Start date: Jul 21, 2017

Priority: High Due date: Jul 26, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Production Applications list and

version:

geonetwork

RAM: 5 Applications context

path:

geonetwork

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: Latest released PostgreSQL

database:

Yes

Application

Instructions:

Use default provisioning rules for

GeoNetwork.

Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/g

CubeApps/AquacultureAtlasGeneration

  

Description

Suggested VM name : geonetwork-aquacultureatlasgeneration.d4science.org

History

#2 - Jul 24, 2017 08:48 PM - Emmanuel Blondel

THanks Fabio, I've related this to 2 actions performed in #9251. We will need the same actions to be performed here, one for enabling some key

config for metadata updates (enable geonet:info tags through Metadata XML services) the other for configuring properly the embedded the viewer.

#3 - Jul 26, 2017 06:03 PM - Tommaso Piccioli

- % Done changed from 0 to 20

host will be geonetwork-aquacultureatlasgeneration.d4science.org 146.48.122.135

#4 - Jul 26, 2017 06:05 PM - Tommaso Piccioli

- Status changed from New to In Progress

#5 - Jul 26, 2017 08:58 PM - Andrea Dell'Amico

- RAM changed from 2 to 5

#6 - Jul 26, 2017 09:14 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The server is ready, I applied the modifications to config.xml and config-gui.xml.

@fabio.sinibaldi@isti.cnr.it has the information needed to connect to the postgresql database.

#7 - Jul 27, 2017 12:22 PM - Fabio Sinibaldi

Database credentials have been stored in Workspace, path : "VRE Folders/AquacultureAtlasGeneration/Credentials/Postgis DB credentials for

dedicated GeoNetwork.txt"
#8 - Jul 27, 2017 02:15 PM - Andrea Dell'Amico

I forgot to write that the the database connection information has been set into configuration.xml already.

#9 - Jul 31, 2017 11:28 AM - Emmanuel Blondel

I see http://geonetwork-aquacultureatlasgeneration.d4science.org/geonetwork/srv/en/main.home do we miss smthg to use it?

I've tried http://sdi-d4s.d4science.org/sdi-service/gcube/service/SDI?gcube-token= from AAPS but it still poiting the global d4science geonetwork.

#10 - Jul 31, 2017 05:43 PM - Fabio Sinibaldi

There was a configuration issue, sorry about that.

Now everything should work, please try again.

#12 - Aug 01, 2017 12:13 PM - Emmanuel Blondel

Thanks Fabio, Search is not working in http://geonetwork-aquacultureatlasgeneration.d4science.org/geonetwork/srv/en/main.home, but i suppose it is

because its configuration with postgres is not completed, right?

#13 - Aug 01, 2017 04:42 PM - Fabio Sinibaldi

Hi Emmanuel,

it seems that the postgis configuration caused a problem with the index. Now a workaround is in place and situation should be back to normal.

However, later in august we might need to revise this configuration in order to provide a better one in terms of performance.

#14 - Aug 01, 2017 07:03 PM - Emmanuel Blondel

I confirm it works now.

#16 - Sep 01, 2017 12:35 PM - Pasquale Pagano

any news?

#17 - Sep 01, 2017 01:24 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

I guess we can close this one, the DB management is a matter of #9511
